Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.operation
Interface Function<Context>

All Superinterfaces:
  Operation<Context>

All Known Implementing Classes:
  AggregateBy.CompositeFunction, DateFormatter, DateParser, ExpressionFunction, FieldFormatter, FieldJoiner, Identity, Insert, NoOp, RegexGenerator, RegexParser, RegexReplace, RegexSplitGenerator, RegexSplitter, ScriptFunction, ScriptTupleFunction, SetValue, TagSoupParser, UnGroup, XPathGenerator, XPathParser

    public interface Function<Context>

extends Operation<Context>

Interface Function marks a given `Operation` as a function, as opposed to being a `Filter`.

A Function is responsible for taking Tuple arguments and returning one or more result Tuples.

To implement a Function, (optionally) sub-class `BaseOperation` and have the new sub-class `implement` this interface.

Field Summary

Fields inherited from interface cascading.operation.Operation
`ANY`

Method Summary
`void` | `operate(FlowProcess flowProcess, FunctionCall<Context> functionCall)` Method operate provides the implementation of this Function.

Methods inherited from interface cascading.operation.Operation
`cleanup, flush, getFieldDeclaration, getNumArgs, isSafe, prepare`

Method Detail

### operate

    void operate(FlowProcess flowProcess,
                 FunctionCall<Context> functionCall)

  Method operate provides the implementation of this Function.

  Parameters:
    `flowProcess` - of type FlowProcess
    `functionCall` - of type FunctionCall

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.